Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 996)
+++ admin/popup_posts.php	(revision 557)
@@ -20,17 +20,4 @@
 $nb_per_page =  10;
 
-$post_types = $core->getPostTypes();
-foreach ($post_types as $k => $v) {
- 	$type_combo[__($k)] = (string) $k;
-}
-$type = !empty($_POST['type']) ? $_POST['type'] : null;
-if (!$type && $q) {
-	// Cope with search form
-	$type = !empty($_GET['type']) ? $_GET['type'] : null;
-}
-if (!in_array($type, $type_combo)) {
-	$type = null;
-}
-
 $params = array();
 $params['limit'] = array((($page-1)*$nb_per_page),$nb_per_page);
@@ -42,8 +29,4 @@
 }
 
-if ($type) {
-	$params['post_type'] = $type;
-}
-
 dcPage::openPopup(__('Add a link to an entry'),
 	dcPage::jsLoad('js/_posts_list.js').
@@ -52,15 +35,8 @@
 echo '<h2 class="page-title">'.__('Add a link to an entry').'</h2>';
 
-echo '<form action="popup_posts.php" method="post">'.
-	'<p><label for"type" class="classic">'.__('Entry type:').' '.form::combo('type',$type_combo,$type).'</label></p>'.
-	$core->formNonce().
-	'<noscript><div><input type="submit" value="'.__('Ok').'" /></div></noscript>'.
-	'</form>';
-
 echo '<form action="popup_posts.php" method="get">'.
-	'<p><label for="q" class="classic">'.__('Search entry:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
-	' <input type="submit" value="'.__('Search').'" /></p>'.
-	form::hidden('type',html::escapeHTML($type)).
-	'</form>';
+'<p><label for="q" class="classic">'.__('Search entry:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
+' <input type="submit" value="'.__('Search').'" /></p>'.
+'</form>';
 
 try {
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 957)
+++ admin/post.php	(revision 776)
@@ -66,5 +66,4 @@
 	$status_combo[$v] = (string) $k;
 }
-$img_status_pattern = '<img class="img_select_option" alt="%1$s" title="%1$s" src="images/%2$s" />';
 
 # Formaters combo
@@ -88,6 +87,4 @@
 unset($rs);
 
-# Validation flag
-$bad_dt = false;
 
 # Get entry informations
@@ -169,17 +166,6 @@
 		$post_dt = '';
 	} else {
-		try
-		{
-			$post_dt = strtotime($_POST['post_dt']);
-			if ($post_dt == false || $post_dt == -1) {
-				$bad_dt = true;
-				throw new Exception(__('Invalid publication date'));
-			}
-			$post_dt = date('Y-m-d H:i',$post_dt);
-		}
-		catch (Exception $e)
-		{
-			$core->error->add($e->getMessage());
-		}
+		$post_dt = strtotime($_POST['post_dt']);
+		$post_dt = date('Y-m-d H:i',$post_dt);
 	}
 	
@@ -203,5 +189,5 @@
 
 # Create or update post
-if (!empty($_POST) && !empty($_POST['save']) && $can_edit_post && !$bad_dt)
+if (!empty($_POST) && !empty($_POST['save']) && $can_edit_post)
 {
 	$cur = $core->con->openCursor($core->prefix.'post');
@@ -307,19 +293,19 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Entry has been successfully updated.'));
+		echo '<p class="message">'.__('Entry has been successfully updated.').'</p>';
 }
 elseif (!empty($_GET['crea'])) {
-	dcPage::message(__('Entry has been successfully created.'));
+		echo '<p class="message">'.__('Entry has been successfully created.').'</p>';
 }
 elseif (!empty($_GET['attached'])) {
-	dcPage::message(__('File has been successfully attached.'));
+	echo '<p class="message">'.__('File has been successfully attached.').'</p>';
 }
 elseif (!empty($_GET['rmattach'])) {
-	dcPage::message(__('Attachment has been successfully removed.'));
+	echo '<p class="message">'.__('Attachment has been successfully removed.').'</p>';
 }
 
 if (!empty($_GET['creaco'])) {
-	dcPage::message(__('Comment has been successfully created.'));
-}
+		echo '<p class="message">'.__('Comment has been successfully created.').'</p>';
+	}
 
 # XHTML conversion
@@ -328,29 +314,15 @@
 	$post_excerpt = $post_excerpt_xhtml;
 	$post_content = $post_content_xhtml;
+	$post_title = $post_title_xhtml;
 	$post_format = 'xhtml';
 	
-	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
+	echo '<p class="message">'.__('Don\'t forget to validate your XHTML conversion by saving your post.').'</p>';
 }
 
 echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.'<a href="posts.php">'.__('Entries').'</a> &rsaquo; <span class="page-title">'.$page_title;
-if ($post_id) {
-	switch ($post_status) {
-		case 1:
-			$img_status = sprintf($img_status_pattern,__('published'),'check-on.png');
-			break;
-		case 0:
-			$img_status = sprintf($img_status_pattern,__('unpublished'),'check-off.png');
-			break;
-		case -1:
-			$img_status = sprintf($img_status_pattern,__('scheduled'),'scheduled.png');
-			break;
-		case -2:
-			$img_status = sprintf($img_status_pattern,__('pending'),'check-wrn.png');
-			break;
-		default:
-			$img_status = '';
-	}
-	echo ' &ldquo;'.$post_title.'&rdquo;'.' '.$img_status;
-}
+
+	if ($post_id) {
+		echo ' &ldquo;'.$post_title.'&rdquo;';
+	}
 echo	'</span></h2>';
 
@@ -440,5 +412,5 @@
 	
 	'<p><label for="post_dt">'.__('Published on:').
-	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
+	form::field('post_dt',16,16,$post_dt).
 	'</label></p>'.
 	
@@ -451,18 +423,6 @@
 	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
 	__('Accept comments').'</label></p>'.
-	($core->blog->settings->system->allow_comments ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),true) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Comments are not more accepted for this entry.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Comments are not accepted on this blog.').'</p>').
-
 	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb).' '.
 	__('Accept trackbacks').'</label></p>'.
-	($core->blog->settings->system->allow_trackbacks ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),false) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Trackbacks are not more accepted for this entry.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Trackbacks are not accepted on this blog.').'</p>').
-
 	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
 	__('Selected entry').'</label></p>'.
@@ -608,25 +568,4 @@
 }
 
-# Controls comments or trakbacks capabilities
-function isContributionAllowed($id,$dt,$com=true)
-{
-	global $core;
-
-	if (!$id) {
-		return true;
-	}
-	if ($com) {
-		if (($core->blog->settings->system->comments_ttl == 0) || 
-			(time() - $core->blog->settings->system->comments_ttl*86400 < $dt)) {
-			return true;
-		}
-	} else {
-		if (($core->blog->settings->system->trackbacks_ttl == 0) || 
-			(time() - $core->blog->settings->system->trackbacks_ttl*86400 < $dt)) {
-			return true;
-		}
-	}
-	return false;
-}
 
 # Show comments or trackbacks
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 907)
+++ admin/preferences.php	(revision 821)
@@ -162,6 +162,6 @@
 		$cur->user_options = new ArrayObject($user_options);
 		
-		# --BEHAVIOR-- adminBeforeUserOptionsUpdate
-		$core->callBehavior('adminBeforeUserOptionsUpdate',$cur,$core->auth->userID());
+		# --BEHAVIOR-- adminBeforeUserUpdate
+		$core->callBehavior('adminBeforeUserUpdate',$cur,$core->auth->userID());
 		
 		# Update user prefs
@@ -181,6 +181,6 @@
 		$core->updUser($core->auth->userID(),$cur);
 		
-		# --BEHAVIOR-- adminAfterUserOptionsUpdate
-		$core->callBehavior('adminAfterUserOptionsUpdate',$cur,$core->auth->userID());
+		# --BEHAVIOR-- adminAfterUserUpdate
+		$core->callBehavior('adminAfterUserUpdate',$cur,$core->auth->userID());
 		
 		http::redirect('preferences.php?updated=1');
@@ -343,5 +343,5 @@
 	dcPage::jsLoad('js/_preferences.js').
 	($user_acc_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
-	dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+	dcPage::jsLoad('js/jquery/jquery-ui-1.8.12.custom.min.js').
 	dcPage::jsPageTabs($default_tab).
 	dcPage::jsConfirmClose('user-form').
@@ -352,20 +352,20 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Personal information has been successfully updated.'));
+		echo '<p class="message">'.__('Personal information has been successfully updated.').'</p>';
 }
 if (!empty($_GET['updated'])) {
-	dcPage::message(__('Personal options has been successfully updated.'));
+		echo '<p class="message">'.__('Personal options has been successfully updated.').'</p>';
 }
 if (!empty($_GET['append'])) {
-	dcPage::message(__('Favorites have been successfully added.'));
+		echo '<p class="message">'.__('Favorites have been successfully added.').'</p>';
 }
 if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Favorites have been successfully updated.'));
+	echo '<p class="message">'.__('Favorites have been successfully updated.').'</p>';
 }
 if (!empty($_GET['removed'])) {
-	dcPage::message(__('Favorites have been successfully removed.'));
+		echo '<p class="message">'.__('Favorites have been successfully removed.').'</p>';
 }
 if (!empty($_GET['replaced'])) {
-	dcPage::message(__('Default favorites have been successfully updated.'));
+		echo '<p class="message">'.__('Default favorites have been successfully updated.').'</p>';
 }
 
Index: admin/trackbacks.php
===================================================================
--- admin/trackbacks.php	(revision 907)
+++ admin/trackbacks.php	(revision 510)
@@ -92,5 +92,5 @@
 
 if (!empty($_GET['sent'])) {
-	dcPage::message(__('All pings sent.'));
+		echo '<p class="message">'.__('All pings sent.').'</p>';
 }
 
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 941)
+++ admin/update.php	(revision 769)
@@ -42,9 +42,4 @@
 $step = in_array($step,array('check','download','backup','unzip')) ? $step : '';
 
-$default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'update';
-if (!empty($_POST['backup_file'])) {
-	$default_tab = 'files';
-}
-
 $archives = array();
 foreach (files::scanDir(DC_BACKUP_PATH) as $v) {
@@ -53,9 +48,4 @@
 	}
 }
-if (!empty($archives)) {
-	$archives = array_reverse($archives);
-} else {
-	$default_tab = 'update';
-}
 
 # Revert or delete backup file
@@ -71,5 +61,5 @@
 				throw new Exception(sprintf(__('Unable to delete file %s'),html::escapeHTML($b_file)));
 			}
-			http::redirect($p_url.'?tab=files');
+			http::redirect($p_url);
 		}
 		
@@ -79,5 +69,5 @@
 			$zip->unzipAll(DC_BACKUP_PATH.'/');
 			@unlink(DC_BACKUP_PATH.'/'.$b_file);
-			http::redirect($p_url.'?tab=files');
+			http::redirect($p_url);
 		}
 	}
@@ -167,7 +157,5 @@
 /* DISPLAY Main page
 -------------------------------------------------------- */
-dcPage::open(__('Dotclear update'),
-	(!$step ? dcPage::jsPageTabs($default_tab) : '')
-);
+dcPage::open(__('Dotclear update'));
 
 if (!$core->error->flag()) {
@@ -177,5 +165,4 @@
 if (!$step)
 {
-	echo '<div class="multi-part" id="update" title="'.__('Dotclear update').'">';
 	if (empty($new_v))
 	{
@@ -196,10 +183,7 @@
 		'</form>';
 	}
-	echo '</div>';
 	
 	if (!empty($archives))
 	{
-		echo '<div class="multi-part" id="files" title="'.__('Manage backup files').'">';
-
 		echo
 		'<h3>'.__('Update backup files').'</h3>'.
@@ -224,6 +208,4 @@
 		$core->formNonce().'</p>'.
 		'</form>';
-
-		echo '</div>';
 	}
 }
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 907)
+++ admin/user.php	(revision 860)
@@ -178,9 +178,9 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('User has been successfully updated.'));
+		echo '<p class="message">'.__('User has been successfully updated.').'</p>';
 }
 
 if (!empty($_GET['add'])) {
-	dcPage::message(__('User has been successfully created.'));
+		echo '<p class="message">'.__('User has been successfully created.').'</p>';
 }
 
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 907)
+++ admin/users.php	(revision 860)
@@ -99,8 +99,8 @@
 {
 	if (!empty($_GET['del'])) {
-		dcPage::message(__('User has been successfully removed.'));
+		echo '<p class="message">'.__('User has been successfully removed.').'</p>';
 	}
 	if (!empty($_GET['upd'])) {
-		dcPage::message(__('The permissions have been successfully updated.'));
+			echo '<p class="message">'.__('The permissions have been successfully updated.').'</p>';
 	}
 	
